com.io7m.smfj.format.binary.v1

## Interface SMFBv1MetadataIDReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1MetadataIDType
  All Known Implementing Classes:
    SMFBv1MetadataIDByteBuffered

      public interface SMFBv1MetadataIDReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `SMFBv1MetadataID` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getMetaSchemaIdReadable()`
    `int` | `getMetaSchemaVersionMajor()`
    `int` | `getMetaSchemaVersionMinor()`
    `int` | `getMetaSize()`
    `int` | `metaMetaSchemaIdOffsetFromCursor()`
    `int` | `metaMetaSchemaIdOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaMetaSchemaIdType()`
    `int` | `metaMetaSchemaVersionMajorOffsetFromCursor()`
    `int` | `metaMetaSchemaVersionMajorOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSchemaVersionMajorType()`
    `int` | `metaMetaSchemaVersionMinorOffsetFromCursor()`
    `int` | `metaMetaSchemaVersionMinorOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSchemaVersionMinorType()`
    `int` | `metaMetaSizeOffsetFromCursor()`
    `int` | `metaMetaSizeOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMetaSizeType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaMetaSchemaIdOffsetFromType

          int metaMetaSchemaIdOffsetFromType()

      Returns:
        The offset in octets of the `meta_schema_id` field, from the start of the type

    - #### metaMetaSchemaIdOffsetFromCursor

          int metaMetaSchemaIdOffsetFromCursor()

      Returns:
        The offset in octets of the `meta_schema_id` field, from the cursor

    - #### metaMetaSchemaIdType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaMetaSchemaIdType()

      Returns:
        The type of the `meta_schema_id` field

    - #### getMetaSchemaIdReadable

          com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getMetaSchemaIdReadable()

      Returns:
        Read-only access to the `meta_schema_id` field

    - #### metaMetaSchemaVersionMajorOffsetFromType

          int metaMetaSchemaVersionMajorOffsetFromType()

      Returns:
        The offset in octets of the `meta_schema_version_major` field, from the start of the type

    - #### metaMetaSchemaVersionMajorOffsetFromCursor

          int metaMetaSchemaVersionMajorOffsetFromCursor()

      Returns:
        The offset in octets of the `meta_schema_version_major` field, from the cursor

    - #### metaMetaSchemaVersionMajorType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSchemaVersionMajorType()

      Returns:
        The type of the `meta_schema_version_major` field

    - #### getMetaSchemaVersionMajor

          int getMetaSchemaVersionMajor()

      Returns:
        The value of the `meta_schema_version_major` field

    - #### metaMetaSchemaVersionMinorOffsetFromType

          int metaMetaSchemaVersionMinorOffsetFromType()

      Returns:
        The offset in octets of the `meta_schema_version_minor` field, from the start of the type

    - #### metaMetaSchemaVersionMinorOffsetFromCursor

          int metaMetaSchemaVersionMinorOffsetFromCursor()

      Returns:
        The offset in octets of the `meta_schema_version_minor` field, from the cursor

    - #### metaMetaSchemaVersionMinorType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSchemaVersionMinorType()

      Returns:
        The type of the `meta_schema_version_minor` field

    - #### getMetaSchemaVersionMinor

          int getMetaSchemaVersionMinor()

      Returns:
        The value of the `meta_schema_version_minor` field

    - #### metaMetaSizeOffsetFromType

          int metaMetaSizeOffsetFromType()

      Returns:
        The offset in octets of the `meta_size` field, from the start of the type

    - #### metaMetaSizeOffsetFromCursor

          int metaMetaSizeOffsetFromCursor()

      Returns:
        The offset in octets of the `meta_size` field, from the cursor

    - #### metaMetaSizeType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMetaSizeType()

      Returns:
        The type of the `meta_size` field

    - #### getMetaSize

          int getMetaSize()

      Returns:
        The value of the `meta_size` field

Copyright © 2017 <code@io7m.com> http://io7m.com